{
  "compilerOptions": {
    "target": "esnext", // 目标语言的版本
    "useDefineForClassFields": true,
    "module": "esnext", // 指定生成代码的模板标准
    "moduleResolution": "node", // node模块解析
    //"suppressImplicitAnyIndexErrors": true,
    "strict": true, // 启用严格模式
    "jsx": "preserve", // jsx模板解析
    "sourceMap": true, // 生成目标文件的sourceMap文件
    "resolveJsonModule": true, // 允许导入.json文件
    "esModuleInterop": true, // 允许导入额外的ts文件支持
    // "types": ["element-plus/global","vite-plugin-svg-icons/client"], //饿了控件支持

    "removeComments": true, // 删除注释
    "lib": ["esnext", "dom"],
    "skipLibCheck": true, //跳过第三主类库检查
    "types": ["vite/client"],
    "baseUrl": "./", // 解析非相对模块的基地址，默认是当前目录, 防止引入文件报错
    "paths": {
      // 路径映射，相对于baseUrl
      "@/*": ["src/*"]
    }
  },
  "include": ["src/**/*.ts", "src/**/*.d.ts", "src/**/*.tsx", "src/**/*.vue"],
  // ts 排除的文件
  "exclude": ["node_modules"]
}
